Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

This case happens when multiple redmine are opened in different tabs and that we want to relog without disconnecting

BUG FIX :

do not destroy a session that is already empty

NoMethodError (undefined method `destroy' for {}:Hash):

app/controllers/application_controller.rb:92:in `logged_user='

app/controllers/account_controller.rb:203:in `successful_authentication'

History

#1 - 2012-01-21 14:12 - Jean-Philippe Lang

I can't reproduce. Can you describe the steps to follow in order to reproduce?

#2 - 2012-01-21 14:12 - Jean-Philippe Lang

- Resolution changed from Fixed to Cant reproduce

#3 - 2012-06-10 23:35 - Jean-Baptiste Barth

- Status changed from New to Closed

Me neither, on 2.0.2-stable logging multiple times in different tabs works without any error. I close the issue, please re-open it with more informations

if you feel so (see SubmittingBugs).

#4 - 2013-01-15 13:36 - Redmine Smile

This patch is usefull for Redmine 1.2.1, but it seems to have been fixed in more recent versions.

Linked to #7857

To reproduce :

Login as one user, and the re-login with another one.

#5 - 2013-01-15 13:47 - Daniel Felix

Redmine Smile wrote:

This patch is usefull for Redmine 1.2.1, but it seems to have been fixed in more recent versions.

 This means you won't be able to reproduce it in 2.2.1 or 1.4.6?

If this is fixed in these versions, we could close this issue.

#6 - 2013-01-15 14:57 - Redmine Smile

This means you won't be able to reproduce it in 2.2.1 or 1.4.6?

 I just tested on Redmine.org, not reproduced.

Tested too on a Redmine V2.1.4 not reproduced too.
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/issues/7857


So I suppose we can close this bug.
